# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2019-01-24 09:32
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Branches',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_name', models.CharField(max_length=32, null=True)),
                ('branch_name', models.CharField(max_length=32, null=True)),
                ('branch_server', models.CharField(max_length=32, null=True)),
                ('branch_domain', models.URLField(null=True)),
                ('auto_deploy', models.BooleanField(default=False)),
                ('build_play', models.TextField(null=True)),
                ('deploy_play', models.TextField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='CqasoDeployHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_name', models.CharField(max_length=24, null=True)),
                ('created_at', models.CharField(max_length=64, null=True)),
                ('commit_from', models.CharField(max_length=128, null=True)),
                ('commit_to', models.CharField(max_length=128, null=True)),
                ('commit_title', models.CharField(max_length=200, null=True)),
                ('action', models.CharField(max_length=24, null=True)),
                ('ref', models.CharField(max_length=24, null=True)),
                ('DeployState', models.CharField(max_length=24, null=True)),
                ('DeployDate', models.DateTimeField(auto_now_add=True)),
                ('DeployBuildTaskId', models.CharField(max_length=128, null=True)),
                ('DeployBuildTaskState', models.BooleanField(default=False)),
                ('DeployTaskId', models.CharField(max_length=128, null=True)),
                ('DeployTaskState', models.BooleanField(default=False)),
                ('AutoDeploy', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='CqasoProjectBranch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('BranchName', models.CharField(max_length=12)),
                ('BranchServer', models.CharField(max_length=24, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='CqasoProjects',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ProjectId', models.SmallIntegerField()),
                ('ProjectName', models.CharField(max_length=64, unique=True)),
                ('ProjectSshUrl', models.URLField(null=True)),
                ('ProjectWebUrl', models.URLField(null=True)),
                ('ProjectDescription', models.CharField(max_length=1024, null=True)),
                ('ProjectCreated', models.CharField(max_length=32, null=True)),
                ('ProjectIndex', models.URLField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='GitlabUsers',
            fields=[
                ('user_id', models.IntegerField(primary_key=True, serialize=False)),
                ('user_avatar', models.URLField(null=True)),
                ('user_email', models.EmailField(max_length=254, null=True)),
                ('user_name', models.CharField(max_length=32, null=True)),
                ('user_username', models.CharField(max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='GitlabWebHook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('before', models.CharField(max_length=64)),
                ('after', models.CharField(max_length=64)),
                ('object_kind', models.CharField(max_length=64)),
                ('event_name', models.CharField(max_length=64)),
                ('ref', models.CharField(max_length=32)),
                ('checkout_sha', models.CharField(max_length=128, null=True)),
                ('commits_message', models.CharField(max_length=32, null=True)),
                ('commits_url', models.URLField(null=True)),
                ('commits_id', models.CharField(max_length=128, null=True)),
                ('commits_timestamp', models.CharField(max_length=64, null=True)),
                ('commits_author_name', models.CharField(max_length=32, null=True)),
                ('commits_author_email', models.EmailField(max_length=254, null=True)),
                ('build_status', models.BooleanField(default=False)),
                ('deploy_status', models.BooleanField(default=False)),
                ('build_task_id', models.CharField(max_length=128, null=True)),
                ('deploy_task_id', models.CharField(max_length=128, null=True)),
                ('task_state', models.CharField(max_length=24, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('project_id', models.IntegerField(null=True)),
                ('name', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('description', models.TextField()),
                ('namespace', models.CharField(max_length=64)),
                ('ssh_url', models.CharField(max_length=256, null=True)),
                ('http_url', models.URLField()),
                ('homepage', models.URLField()),
                ('default_branch', models.CharField(max_length=12)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectGroups',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('GroupName', models.CharField(max_length=32, null=True)),
                ('GroupWebHook', models.URLField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tasks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('before', models.CharField(max_length=64)),
                ('after', models.CharField(max_length=64)),
                ('event_name', models.CharField(max_length=64)),
                ('ref', models.CharField(max_length=32)),
                ('checkout_sha', models.CharField(max_length=128, null=True)),
                ('commits_message', models.CharField(max_length=32, null=True)),
                ('commits_url', models.URLField(null=True)),
                ('commits_timestamp', models.CharField(max_length=64, null=True)),
                ('commits_author_name', models.CharField(max_length=32, null=True)),
                ('BuildStatus', models.BooleanField(default=False)),
                ('DeployStatus', models.BooleanField(default=False)),
                ('BuildTaskId', models.CharField(max_length=128, null=True)),
                ('DeployTaskId', models.CharField(max_length=128, null=True)),
                ('TaskState', models.CharField(max_length=24, null=True)),
                ('TaskType', models.CharField(max_length=24, null=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cicd.Project')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='cicd.GitlabUsers')),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='Project', to='cicd.ProjectGroups'),
        ),
        migrations.AddField(
            model_name='gitlabwebhook',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cicd.Project'),
        ),
        migrations.AddField(
            model_name='gitlabwebhook',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cicd.GitlabUsers'),
        ),
        migrations.AddField(
            model_name='cqasoprojectbranch',
            name='ProjectName',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ProjectBranch', to='cicd.CqasoProjects', to_field='ProjectName'),
        ),
        migrations.AddField(
            model_name='cqasodeployhistory',
            name='DeployBranch',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cicd.CqasoProjectBranch'),
        ),
        migrations.AddField(
            model_name='cqasodeployhistory',
            name='DeployProject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='CqasoDeployHistory', to='cicd.CqasoProjects', to_field='ProjectName'),
        ),
        migrations.AddField(
            model_name='cqasodeployhistory',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cicd.GitlabUsers'),
        ),
    ]
